#include<bits/stdc++.h>
using namespace std;
const long long MAXN=100005;
long long x[MAXN], y[MAXN], N, ans, sumx, sumy;
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cin>>N;
    for(long long i=0; i<N; i++){
        cin>>x[i]>>y[i];
        ans+=(N-1)*(x[i]*x[i]);
        ans+=(N-1)*(y[i]*y[i]);
        ans-=2*(x[i]*sumx);
        ans-=2*(y[i]*sumy);
        sumx+=x[i];
        sumy+=y[i];
    }
    cout<<ans<<endl;
    return 0;
}

